﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _367268_TabControlSample
{
	public class HeaderSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if ((item as DataItem).Header.Contains("0"))
				return Application.Current.Resources["RedTabItemDataTemplate"] as DataTemplate;
			else if ((item as DataItem).Header.Contains("2"))
				return Application.Current.Resources["BlueTabItemDataTemplate"] as DataTemplate;
			else if ((item as DataItem).Header.Contains("4"))
				return Application.Current.Resources["GreenTabItemDataTemplate"] as DataTemplate;
			else if ((item as DataItem).Header.Contains("New"))
				return Application.Current.Resources["NewTabItemDataTemplate"] as DataTemplate;
			else
				return Application.Current.Resources["DefaultTabItemDataTemplate"] as DataTemplate;
		}
	}
}
